Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm.plugins.tyrex
Class TyrexTxPropagationContext

    java.lang.Object
      org.jboss.tm.plugins.tyrex.TyrexTxPropagationContext

All Implemented Interfaces:
  Externalizable, Serializable

public class TyrexTxPropagationContext
extends Object
implements Externalizable

This class wraps the OMG PropagationContext to be able to pass it via RMI. Currently we are only taking care of top-level transaction (no nested transactions) by sending via RMI only - timeout value - otid (@see org.omg.CosTransactions.otid_t - representation of Xid) - Coordinator's Proxy

Version:
  $Revision: 1.5 $
Author:
  Anatoly Akkerman
See Also:
  `org.omg.CosTransactions.PropagationContext, org.omg.CosTransactions.otid_t, org.omg.CosTransactions.Coordinator, java.lang.reflect.Proxy`, Serialized Form

Field Summary
`protected CoordinatorRemoteInterface` | `coord`
`protected Coordinator` | `coordProxy`
`protected boolean` | `isNull`
`protected otid_t` | `otid`
`protected int` | `timeout`
`protected PropagationContext` | `tpc`

Constructor Summary
`` | `TyrexTxPropagationContext()`
`protected` | `TyrexTxPropagationContext(PropagationContext tpc)`

Method Summary
`protected PropagationContext` | `getPropagationContext()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timeout

    protected int timeout

### coord

    protected CoordinatorRemoteInterface coord

### otid

    protected otid_t otid

### isNull

    protected boolean isNull

### tpc

    protected PropagationContext tpc

### coordProxy

    protected Coordinator coordProxy

Constructor Detail

### TyrexTxPropagationContext

    public TyrexTxPropagationContext()

### TyrexTxPropagationContext

    protected TyrexTxPropagationContext(PropagationContext tpc)

Method Detail

### getPropagationContext

    protected PropagationContext getPropagationContext()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.